KDE 4.2 PyKDE API Reference

- KDE's Python API

# TextEvent Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.UIEvent → DOM.Event
Namespace: DOM

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, DOM.TextEvent other)
| __init__ (self, DOM.Event other)
DOM.DOMString | data (self)
| initTextEvent (self, DOM.DOMString typeArg, bool canBubbleArg, bool cancelableArg, DOM.AbstractView viewArg, DOM.DOMString dataArg)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.TextEvent | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Event | other
| ) |  |  |

DOM.DOMString data | ( |  | self ) |

data of type DOMString, readonly

data holds the value of the characters generated by the character device. This may be a single Unicode character or a non-empty sequence of Unicode characters [Unicode]. Characters should be normalized as defined by the Unicode normalization form NFC, defined in [UTR #15]. Note: while the DOM spec specifies that the string never be empty, KHTML can not guarantee that

initTextEvent | ( | self, |
|  | DOM.DOMString | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | DOM.AbstractView | viewArg,
|  | DOM.DOMString | dataArg
| ) |  |  |

initTextEvent The initTextEvent method is used to initialize the value of a TextEvent object and has the same behavior as UIEvent.initUIEvent(). The value of UIEvent.detail remains undefined.

Parameters:

Specifies the event type. canBubbleArg of type boolean Specifies whether or not the event can bubble. cancelableArg of type boolean Specifies whether or not the event's default action can be prevent. viewArg of type views.AbstractView Specifies the TextEvent's AbstractView. dataArg of type DOMString Specifies TextEvent.data.